diff -Nru casync-2+20180321/debian/changelog casync-2+20180321/debian/changelog
--- casync-2+20180321/debian/changelog	2018-05-03 16:12:33.000000000 +0300
+++ casync-2+20180321/debian/changelog	2018-11-30 14:37:06.000000000 +0200
@@ -1,3 +1,10 @@
+casync (2+20180321-2.1) unstable; urgency=medium
+
+  * Non-maintainer upload.
+  * Add upstream fix for FTBFS with glibc 2.28. (Closes: #907409)
+
+ -- Adrian Bunk <bunk@debian.org>  Fri, 30 Nov 2018 14:37:06 +0200
+
 casync (2+20180321-2) unstable; urgency=medium
 
   * Add udev Build-Depends to be able to query udev.pc (Closes: #897597)
diff -Nru casync-2+20180321/debian/patches/0001-meson.build-pass-D_GNU_SOURCE-when-checking-for-func.patch casync-2+20180321/debian/patches/0001-meson.build-pass-D_GNU_SOURCE-when-checking-for-func.patch
--- casync-2+20180321/debian/patches/0001-meson.build-pass-D_GNU_SOURCE-when-checking-for-func.patch	1970-01-01 02:00:00.000000000 +0200
+++ casync-2+20180321/debian/patches/0001-meson.build-pass-D_GNU_SOURCE-when-checking-for-func.patch	2018-11-30 14:37:06.000000000 +0200
@@ -0,0 +1,28 @@
+From a110e8c7e266042b9d9703811621d04f46226719 Mon Sep 17 00:00:00 2001
+From: Daniel Mack <daniel@zonque.org>
+Date: Tue, 13 Nov 2018 17:52:48 +0100
+Subject: [PATCH] meson.build: pass -D_GNU_SOURCE when checking for functions
+
+As described in #166, -D_GNU_SOURCE needs to be passed to the meson function
+availability checker. h/t to @tomeon for providing a link to the solution as
+well.
+---
+ meson.build | 2 +-
+ 1 file changed, 1 insertion(+), 1 deletion(-)
+
+diff --git a/meson.build b/meson.build
+index f42ed16..c0f741e 100644
+--- a/meson.build
++++ b/meson.build
+@@ -78,7 +78,7 @@ foreach ident : [
+         ['copy_file_range',   '''#include <sys/syscall.h>
+                                  #include <unistd.h>'''],
+ ]
+-        have = cc.has_function(ident[0], prefix : ident[1])
++        have = cc.has_function(ident[0], args : '-D_GNU_SOURCE', prefix : ident[1])
+         conf.set10('HAVE_' + ident[0].to_upper(), have)
+ endforeach
+ 
+-- 
+2.11.0
+
diff -Nru casync-2+20180321/debian/patches/series casync-2+20180321/debian/patches/series
--- casync-2+20180321/debian/patches/series	1970-01-01 02:00:00.000000000 +0200
+++ casync-2+20180321/debian/patches/series	2018-11-30 14:37:06.000000000 +0200
@@ -0,0 +1 @@
+0001-meson.build-pass-D_GNU_SOURCE-when-checking-for-func.patch
